import { Functional } from '../../../../Class/Functional';
import { System } from '../../../../system';
export interface I<T> {
    any: T;
}
export interface O<T> {
    uuid: T;
}
export default class UUID<T> extends Functional<I<T>, O<T>> {
    constructor(system: System);
    f({ any }: Partial<I<T>>, done: any): void;
}
